Docs
Add File
POST /Drives/{driveId}/files
POST
/Drives/{driveId}/filesCreates a file record in a partition and returns its id, plus an upload address for the content of a regular file; a caller who is a crew member is added to the file with admin access. Use Drives_AddFileVersion to upload a new version of an existing file. The partition key comes from Drives_GetDrivePartition. Needs edit or admin access to the target location.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| partitionKey | uuid | Optional | |
| type | string | Optional | |
| name | string | Optional | |
| description | string | Optional | |
| path | string | Optional | |
| fileFormat | string | Optional | |
| fileSize | integer | Optional | |
| assignedTo | uuid | Optional | |
| dueDate | date-time | Optional | |
| url | string | Optional |
Response
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| sasUri | uri| null |